#!/usr/in/env python3

import argparse

import django

django.setup()

from skyreach_site.base.models import SiteSettings


def main():
    parser = argparse.ArgumentParser()
    parser.add_argument("url", help="URL of the Miris Manager", type=str)
    args = parser.parse_args()

    ss = SiteSettings.get_singleton()
    ss.url = "https://{}".format(args.url)
    ss.save()

    path = "/home/skyreach/{}.log".format(args.url)
    with open(path, "w") as flag:
        flag.write("ok")


if __name__ == "__main__":
    main()
